# ActuatorRelativeTo

## Overview

ActuatorRelativeTo는 물리 제약(Constraint)이 동작하는 기준 좌표계를 지정하는 Enum입니다.

LinearVelocity, AngularVelocity, VectorForce 등의 제약 클래스에서 RelativeTo 속성으로 사용되며, 벡터 값(속도, 힘, 각속도)이 어떤 좌표계를 기준으로 해석될지를 결정합니다.

## Items

| Name        | Value | Description                       |
| ----------- | ----- | --------------------------------- |
| Attachment0 | 0     | 제약이 Attachment0의 좌표계를 기준으로 동작합니다. |
| Attachment1 | 1     | 제약이 Attachment1의 좌표계를 기준으로 동작합니다. |
| World       | 2     | 제약이 월드 좌표계를 기준으로 동작합니다.           |

## See also

{% content-ref url="/pages/5T01BEUCV19daFCAJvqV" %}
[VectorForce](/korean/development/api-reference/classes/vectorforce.md)
{% endcontent-ref %}

{% content-ref url="/pages/nYFRe6kNlXwLDuwKti5p" %}
[LinearVelocity](/korean/development/api-reference/classes/linearvelocity.md)
{% endcontent-ref %}

{% content-ref url="/pages/wtPYYkiLcMwE6B1CNecf" %}
[AngularVelocity](/korean/development/api-reference/classes/angularvelocity.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/actuatorrelativeto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
